com.beaglebuddy.id3.enums.v24

## Enum TagSizeRestriction

- java.lang.Object
- - java.lang.Enum<TagSizeRestriction>
  - - com.beaglebuddy.id3.enums.v24.TagSizeRestriction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagSizeRestriction>

      public enum TagSizeRestriction
      extends java.lang.Enum<TagSizeRestriction>

  valid ID3v2.4 tag size restrictions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TAG_SIZE_1_MB_AND_128_FRAMES` No more than 128 frames and 1 MB total tag size.
    `TAG_SIZE_128KB_AND_64_FRAMES` No more than 64 frames and 128 KB total tag size.
    `TAG_SIZE_40KB_AND_32_FRAMES` No more than 32 frames and 40 KB total tag size.
    `TAG_SIZE_4KB_AND_32_FRAMES` No more than 32 frames and 4 KB total tag size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` get a description of the tag size restriction.
    `byte` | `getMask()` get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
    `static TagSizeRestriction` | `getTagSizeRestriction(byte tagSizeRestriction)` converts an integral value to its corresponding tag size restriction enum.
    `java.lang.String` | `toString()` get a string representation of the tag size restriction.
    `static TagSizeRestriction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagSizeRestriction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TAG_SIZE_1_MB_AND_128_FRAMES

          public static final TagSizeRestriction TAG_SIZE_1_MB_AND_128_FRAMES

      No more than 128 frames and 1 MB total tag size.

    - #### TAG_SIZE_128KB_AND_64_FRAMES

          public static final TagSizeRestriction TAG_SIZE_128KB_AND_64_FRAMES

      No more than 64 frames and 128 KB total tag size.

    - #### TAG_SIZE_40KB_AND_32_FRAMES

          public static final TagSizeRestriction TAG_SIZE_40KB_AND_32_FRAMES

      No more than 32 frames and 40 KB total tag size.

    - #### TAG_SIZE_4KB_AND_32_FRAMES

          public static final TagSizeRestriction TAG_SIZE_4KB_AND_32_FRAMES

      No more than 32 frames and 4 KB total tag size.

  - ### Method Detail

    - #### values

          public static TagSizeRestriction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagSizeRestriction c : TagSizeRestriction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagSizeRestriction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      get a description of the tag size restriction.
      Returns:
        a description of the tag size restriction.

    - #### getMask

          public byte getMask()

      get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
      Returns:
        the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.

    - #### getTagSizeRestriction

          public static TagSizeRestriction getTagSizeRestriction(byte tagSizeRestriction)
                                                          throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding tag size restriction enum.
      Parameters:
        `tagSizeRestriction` - integral value to be converted to a tag size restriction enum.
      Returns:
        a tag size restriction enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the integral value is not a valid tag size restriction.

    - #### toString

          public java.lang.String toString()

      get a string representation of the tag size restriction.
      Overrides:
        `toString` in class `java.lang.Enum<TagSizeRestriction>`
      Returns:
        a string representation of the tag size restriction.